Text Link
GET Transaction Summary
Text Link
GET Transaction Details

GET Transaction Summary

Retrieve transaction summary based on product group and time period filters.

HTTPS Request

[Production] GET https://partner.rem.id/api/transaction-summary?product_group=[product_group_name]&time_period=[time_period]

[Staging] GET https://api-demo.rem.id/api/transaction-summary

Header Parameters

Parameter Type Required Description
x-username String TRUE
Username for authentication
x-api-key String TRUE
API key for authentication

Query Parameters

Parameter Type Description
product_group String Product group filter for transaction summary. For now only value "PENDING_SATTLEMENT" available.
time_period String Select between "TODAY", "TOMORROW", or "ALL_TIME"

Responses Parameters

200 Successful Response

Parameter Type Description
status object Response status object
Field Type Description
code string 000
message string Success
data array of objects List of product objects
Field Type Description
product_group string Product group filter applied
transfer_amount integer Total transfer amount
amount integer Total transaction amount
admin_fee integer Total administrative fee
ppn_tax integer Total PPN amount
count integer Total number of transaction
settlement_balance integer Total balance that has not been settled yet

201 User Not Found

Parameter Type Description
status object Response status object
Field Type Description
code string 201
message string User is not found
data array of objects null

500 Internal Server Error

Parameter Type Description
status object Response status object
Field Type Description
code string 500
message string Internal server error
{
  "product_group": "PENDING_SETTLEMENT",
  "time_period": "ALL_TIME"
}
curl --location 'https://{host}/api/transaction-summary?product_group=PENDING_SETTLEMENT&time_period=ALL_TIME' \
--header 'x-username: yourusername' \
--header 'x-api-key: your-api-key'
Request Samples
000
{
  "data": {
    "product_group": null,
    "transfer_amount": 0,
    "amount": 0,
    "admin_fee": 0,
    "ppn_tax": 0,
    "count": 0,
    "settlement_balance": 0
  },
  "status": {
    "code": "000",
    "message": "Success"
  }
}
201
{
  "data": null,
  "status": {
    "code": "201",
    "message": "User is not found"
  }
}
500
{
  "status": {
    "code": "500",
    "message": "Internal server error"
  }
}
Response Samples

GET Transaction Details

Retrieve transaction details by product type and partner transaction ID.

HTTPS Request

[Production] GET https://partner.rem.id/api/v1/transaction

[Staging] GET https://api-demo.rem.id/api/v1/transaction

Header Parameters

Parameter Type Required Description
x-username String TRUE
Username for authentication
x-api-key String TRUE
API key for authentication

Query Parameters

Parameter Type Required Description
product_type ENUM TRUE
The product type of the transaction to be queried. Valid options are: API_DISBURSE, PAYMENT_ROUTING, PAYMENT_LINK
partner_tx_id String(255) TRUE
The partner transaction ID of the transaction to be queried

Response Parameters

Parameter Type Description
status Object

Status of request in Object. Detail of the parameters:

Parameter Data Type Description
code BigInteger
3 digits of status code for the request
message String(255)
Request status message.
data Object
Data object that wraps the response parameters. Nullable if status is not success.
data.transfer_amount BigDecimal
The amount that must be paid or received by the end user.
data.settlement_amount BigDecimal
The total amount that is reflected in the partner's balance. The calculation of the settlement amount varies depending on the transaction type: - For disbursement transactions: (settlement_amount = transfer_amount + admin_fee) - For acceptance transactions: (settlement_amount = transfer_amount - admin_fee)
data.admin_fee Object
Admin fee detail of the transaction.
data.admin_fee.total_fee BigDecimal
Total amount of the admin fee for this transaction.

https://{host}/api/v1/transaction?product_type=<product_type>&partner_tx_id=<partner_tx_id>
curl --location 'https://{host}/api/v1/transaction?product_type=API_DISBURSE&partner_tx_id=YOUR_PARTNER_TX_ID' \
--header 'x-username: yourusername' \
--header 'x-api-key: your-api-key'
Request Samples
200
{
  "data": {
    "transfer_amount": 1000,
    "admin_fee": {
      "total_fee": 111
    },
    "settlement_amount": 1111
  },
  "status": {
    "code": "000",
    "message": "Success"
  }
}
204
{
  "data": null,
  "status": {
    "code": "204",
    "message": "Partner Tx Id is not found"
  }
}
500
{
  "status": {
    "code": "500",
    "message": "Internal server error"
  }
}
Response Samples